package org.seasar.jsf;

import java.io.InputStream;
import java.net.JarURLConnection;

import org.seasar.jsf.exception.UriNotFoundRuntimeException;

/**
 * @author higa
 *
 */
public interface TaglibManager {
	
	public TaglibConfig getTaglibConfig(String uri) throws UriNotFoundRuntimeException;
	
	public boolean hasTaglibConfig(String uri);

	public void scanJars(ClassLoader classLoader);
	
	public void scanJar(JarURLConnection conn);
		
	public void scanTld(InputStream is);
	
	public void init();
	
	public void destroy();
}
